IBM Support

Which DB2 version supports Java 8?

Technote (FAQ)


Question

Which DB2 version supports Java 8?

Answer

At present, only DB2 version 10.5 fix pack 7 or higher supports Java 8. Java 8 is officially shipped with DB2 v11.1.

DB2 Client or driver needs to be on V10.5 FP7 or higher in order to support Java 8.



Refer to Java software support for additional information regarding Java support for other fix pack levels.

Related information

UTF-8 encoding/decoding problem in JDK 8
DB2 JDBC Driver Versions and Downloads

Document information

More support for: DB2 for Linux, UNIX and Windows
Programming Interface - JDBC

Software version: 9.7, 10.1, 10.5

Operating system(s): AIX, HP-UX, Linux, Solaris, Windows

Reference #: 1983724

Modified date: 12 August 2016


Translate this page: